<?php
// Pasos finales que se debe ejecutar cuando se completa la Utilidad

require_once('ICM/general.php');
InsertLogUtilidades($values, $oldvalues);
$localidTramite=$_SESSION['idTramite'];
// Limpiar variables que conformanla Utilidad
unset($_SESSION['idUtilidad']);
unset($_SESSION['utilidad']);

if ($values['CataEstado_idCataEstado'] <> $oldvalues['CataEstado_idCataEstado']){
	$_SESSION['idCataEstado'] = $values['CataEstado_idCataEstado'];
	$_SESSION['Asignado_idUsuario'] = $values['Asignado_idUsuario'];
	CargaListaUtilidad();
	CargaListaTramites();
	// require_once('ICM/Revision_de_los_Informes.php');
	// MiraListados($localidTramite); // Solo cuando termina el trámite que es cuando se cambia el estado
} else {
// Si sólo cambia el usuario asignado, se debe evaluar los trámites que puede hacer
	if ($values['Asignado_idUsuario'] <> $oldvalues['Asignado_idUsuario']){
		$_SESSION['Asignado_idUsuario'] = $values['Asignado_idUsuario'];
		CargaListaTramites();
	}
}

// Redirección al expediente
header("Location: wf_expedientes_list.php");
exit();
?>